Last Comment Bug 721071 - Permanent orange: TEST-UNEXPECTED-FAIL | test-eml-subject.js | test-eml-subject.js::test_eml_normal_subject
: Permanent orange: TEST-UNEXPECTED-FAIL | test-eml-subject.js | test-eml-subje...
Status: RESOLVED FIXED
: intermittent-failure
Product: Thunderbird
Classification: Client Software
Component: Testing Infrastructure (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: Thunderbird 12.0
Assigned To: Mark Banner (:standard8)
:
Mentors:
Depends on:
Blocks: 593321
  Show dependency treegraph
 
Reported: 2012-01-25 09:04 PST by Mike Conley (:mconley) - (needinfo me!)
Modified: 2012-11-25 19:31 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
The fix (1.49 KB, patch)
2012-01-25 15:50 PST, Mark Banner (:standard8)
mconley: review+
Details | Diff | Review

Description Mike Conley (:mconley) - (needinfo me!) 2012-01-25 09:04:03 PST
This just showed up on our trunk builds, with the following error message:

SUMMARY-UNEXPECTED-FAIL | test-eml-subject.js | test-eml-subject.js::test_eml_normal_subject
  EXCEPTION: a != b: 'An email' != 'An email - Daily'.
    at: test-folder-display-helpers.js line 2842
       assert_true(false,"a != b: 'An email' != 'An email - Daily'.") test-folder-display-helpers.js 2842
       assert_equals("An email","An email - Daily") test-folder-display-helpers.js 2829
       check_eml_window_title("An email","./evil.eml") test-eml-subject.js 31
       test_eml_normal_subject() test-eml-subject.js 40
            frame.js 557
            frame.js 626
            frame.js 669
            frame.js 497
            frame.js 675
            server.js 179
            server.js 183

This seems to be related to the patch for bug 523321.
Comment 1 Mark Banner (:standard8) 2012-01-25 09:54:23 PST
Actually, I think its bug 593321:

'An email' != 'An email - Daily'

and we're in a call to check the window title.
Comment 2 Mike Conley (:mconley) - (needinfo me!) 2012-01-25 09:55:34 PST
Whoops - you're right.  Typo.
Comment 3 Mark Banner (:standard8) 2012-01-25 09:58:30 PST
The test isn't taking account of Mac window titles:

http://hg.mozilla.org/comm-central/annotate/bc502832e7cd/mail/base/content/messageWindow.js#l252
Comment 4 Hiroyuki Ikezoe (:hiro) 2012-01-25 15:16:35 PST
I am sorry, I did not know the title modification.
Just out of curiosity, why is not the modification applied on Mac?
Comment 5 Mark Banner (:standard8) 2012-01-25 15:50:30 PST
Created attachment 591643 [details] [diff] [review]
The fix

This works on mac - it copies the logic in messageWindow.js.

I believe Mac does window title's differently because it shows a menu bar for the application you're in that also includes the application name. Therefore if you have a window selected you know which app you're in, and you don't need that information duplicated in the title bar.
Comment 6 Mark Banner (:standard8) 2012-01-26 06:47:24 PST
I landed this earlier to fix the test bustage, feedback still welcome though.

http://hg.mozilla.org/comm-central/rev/ab375980b297
Comment 7 Mike Conley (:mconley) - (needinfo me!) 2012-01-26 07:03:38 PST
Comment on attachment 591643 [details] [diff] [review]
The fix

Review of attachment 591643 [details] [diff] [review]:
-----------------------------------------------------------------

Mark:

Code looks good.  Just one suggestion - take it or leave it.  :D

-Mike

::: mail/test/mozmill/message-window/test-eml-subject.js
@@ -26,4 +26,4 @@
> >  
> >    let brandBundle = new StringBundle("chrome://branding/locale/brand.properties");
> >    let productName = brandBundle.get("brandShortName");
> > -  let expectedTitle = subject ? subject + " - " + productName : productName;
> > +  let expectedTitle = subject;

I think an explanation of what's going on here might be useful for future debuggers.  Just a few lines explaining the rules about window titles on OSX vs the other platforms.

Note You need to log in before you can comment on or make changes to this bug.